List vault fulfillment requests
curl --request GET \
--url https://api.collectpure.com/vault/get-fulfillment-requests/v1 \
--header 'x-api-key: <api-key>'import requests
url = "https://api.collectpure.com/vault/get-fulfillment-requests/v1"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.collectpure.com/vault/get-fulfillment-requests/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"reviewedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"lineItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vaultLineItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"vaultLineItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vaultIntakeShipmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantityDeclared": 123,
"quantityReceived": 123,
"quantityAccepted": 123,
"quantityRejected": 123,
"inspectionNotes": "<string>",
"dispositionReason": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"sku": "<string>",
"material": "<string>"
},
"variant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
}
}
]
}
],
"total": 123
}Vault API
List vault fulfillment requests
List vault fulfillment requests for the authenticated organization, including line items and associated vault inventory details.
Requires: vault enabled on the organization.
Rate limit: 120 requests burst, 60 requests/minute sustained.
GET
/
vault
/
get-fulfillment-requests
/
v1
List vault fulfillment requests
Authorizations
API key for authentication
Query Parameters
Filter by fulfillment request status
Available options:
pending, approved, rejected, completed, cancelled Maximum number of records to return (default 20, max 100)
Required range:
1 <= x <= 100Number of records to skip (for pagination)
Required range:
0 <= x <= 9007199254740991Was this page helpful?
⌘I